CopyPastor

Detecting plagiarism made easy.

Score: 0.8066460490226746; Reported for: String similarity Open both answers

Possible Plagiarism

Plagiarized on 2021-05-28
by flossie

Original Post

Original - Posted on 2011-09-14
by Kristiaan



            
Present in both answers; Present only in the new answer; Present only in the old answer;

To follow on from others' comments, Here is how I used maven-install-plugin to install only a pom into my repo:
<plugins> <plugin> <groupId>org.apache.maven.plugins</groupId> <artifactId>maven-install-plugin</artifactId> <version>3.0.0-M1</version> <configuration> <groupId>com.microservice</groupId> <artifactId>parent</artifactId> <version>${revision}</version> <packaging>pom</packaging> <file>pom.xml</file> </configuration> <executions> <execution> <id>install-pom</id> <goals> <goal>install-file</goal> </goals> <phase>install</phase> </execution> </executions> </plugin> </plugins>
I had the same problem with Eclipse&nbsp;v3.7 (Indigo) and m2eclipse as my Maven plugin. The error was easily solved by explicitly stating the execution phase within the plugin definition. So my pom looks like this:
<!-- language: xml -->
<project> ... <build> ... <plugins> <plugin>
<groupId>org.codehaus.mojo</groupId> <artifactId>buildnumber-maven-plugin</artifactId> <version>1.0</version>
<configuration> <timestampFormat>yyyy-MM-dd_HH-mm-ss</timestampFormat> </configuration>
<executions> <execution> *<phase>post-clean</phase>* <goals> <goal>create-timestamp</goal> </goals> </execution> </executions> </plugin> </plugins> ...


        
Present in both answers; Present only in the new answer; Present only in the old answer;